{
	"name": "plugin/nc-calc-server/column/product_work-actual.json",
	"option": {
		"grid_option-": {
			"header_height-": 46,
			"get_row_style": {
				"green": "1 > 0"
			}
		}
	},
	"column": [
		{
			"field": "prwo.production_order_id",
			"width": 80,
			"name_fi": "Valm. erä"
		},
		{
			"field": "prwo.product_id",
			"width": 160,
			"name_fi": "Tuote"
		},
		{
			"field": "prwo.serie",
			"width": 65,
			"name_fi": "Sarja",
			"organization_id": { "4d": { "load": false } }
		},
		{
			"name": "Active",
			"field": "prwo.active_state",
			"name_fi": "Akt.",
			"width": 80,
			"organization_id": { "4d": { "load": false } }
		},
		{
			"field": "prwo.work_phase_number",
			"width": 65,
			"name_fi": "Työvaihe"
		},
		{
			"width": 120,
			"name_fi": "Vuoro",
			"variable": "prwo.json_data.work_shift"
		},
		{
			"field": "prwo.resource_id",
			"width": 80,
			"name_fi": "KR"
		},
		{
			"name": "Start by",
			"field": "prwo.json_data.start_person_id",
			"width": 100,
			"name_fi": "Aloittaja"
		},
		{
			"name": "Person 4d",
			"field": "prwo.person_id",
			"width": 100,
			"name_fi": "Henkilö"
		},
		{
			"name": "State",
			"field": "prwo.work_phase_state",
			"name_fi": "Tila",
			"value_map": "plugin/nc-calc-server/constant.json/phase_state_view",
			"width": 60
		},
		{
			"name": "Start date",
			"field": "prwo.start_time",
			"width": 120,
			"name_fi": "Alku pv",
			"organization_id": { "4d": { "load": false } }
		},
		{
			"name": "End date",
			"field": "prwo.end_time",
			"width": 120,
			"name_fi": "Loppu pv",
			"organization_id": { "4d": { "load": false } }
		},
		{
			"name": "Started",
			"field": "prwo.started_amount",
			"width": 80
		},
		{
			"name": "Produced",
			"field": "prwo.produced_amount",
			"width": 80
		},
		{
			"name": "Failed",
			"field": "prwo.failed_amount",
			"width": 80
		},
		{
			"name": "Start date 4d",
			"field": "prwo.json_data.start_date",
			"field2": "prwo.json_data.start_time",
			"type": "datetime",
			"format": "datetime",
			"width": 120,
			"name_fi": "Alku pv 4d"
		},
		{
			"field": "prwo.json_data.start_time",
			"hide": true
		},
		{
			"name": "End date 4d",
			"field": "prwo.json_data.end_date",
			"field2": "prwo.json_data.end_time",
			"type": "datetime",
			"format": "datetime",
			"width": 80,
			"name_fi": "Loppu pv 4d"
		},
		{
			"field": "prwo.json_data.end_time",
			"hide": true
		},
		{
			"field": "prwo.info",
			"width": 100,
			"name_fi": "Lisätietoja"
		},
		{
			"field": "prwo.description",
			"width": 100,
			"name_fi": "Kuvaus"
		},
		{
			"field": "prwo.json_data",
			"width": 100,
			"organization_id": { "4d": { "load": false } }
		},
		{
			"field": "prwo.record_id",
			"name_fi": "Record id",
			"width": 110
		},
		{
			"field": "prwo.modify_id",
			"name": "Modify id",
			"width": 110
		}
	],
	"column-": [
		{
			"name": "Remaining",
			"field": "prwo.json_data.remaining_amount",
			"width": 80
		},
		{
			"name": "State",
			"field": "prwo.json_data.manufacturing_state",
			"width": 80
		}
	],
	"columns_not_in_use": [
		{
			"width": 100,
			"name_fi": "Tuotteen nimi",
			"variable": "pr.name"
		},
		{
			"format": "%'.2f",
			"variable": "prwo_work_hours_per_amount",
			"type": "r",
			"name_fi": "Työaika",
			"width": 120
		},
		{
			"width": 180,
			"name_fi": "record_type",
			"variable": "prwo.record_type"
		}
	]
}
